Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.plugin
Interface CreateProjectPlugin

All Superinterfaces:
  Disposable, Plugin

All Known Implementing Classes:
  AbstractCreateProjectPlugin, ClipsFilesCreateProjectPlugin, DatabaseCreateProjectPlugin

    public interface CreateProjectPlugin

extends Plugin

A plugin that controls the creation and configuration of a Project and the possible import of existing sources files into the new project. The create project plugin ends up being a state object that is passed around among the wizard pages of the configuration dialog. When the user hits "finish" the createProject method gets called. The pages are responsible for setting informatin in the ImportPlugin object in their onFinish() method so that the ImportPlugin.importIntoProject method can execute.

Author:
  Ray Fergerson

Method Summary
`boolean` | `canCreateProject(KnowledgeBaseFactory factory, boolean useExistingSources)`
`WizardPage` | `createCreateProjectWizardPage(CreateProjectWizard wizard, boolean useExistingSources)`
`Project` | `createProject()`
`void` | `setKnowledgeBaseFactory(KnowledgeBaseFactory factory)`
`void` | `setUseExistingSources(boolean useExistingSources)`

Methods inherited from interface edu.stanford.smi.protege.plugin.Plugin
`getName`

Methods inherited from interface edu.stanford.smi.protege.util.Disposable
`dispose`

Method Detail

### canCreateProject

    boolean canCreateProject(KnowledgeBaseFactory factory,
                             boolean useExistingSources)

### createCreateProjectWizardPage

    WizardPage createCreateProjectWizardPage(CreateProjectWizard wizard,
                                             boolean useExistingSources)

### createProject

    Project createProject()

### setKnowledgeBaseFactory

    void setKnowledgeBaseFactory(KnowledgeBaseFactory factory)

### setUseExistingSources

    void setUseExistingSources(boolean useExistingSources)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.